package com.manage.dao;

import com.manage.entity.Power_Dept;
import com.manage.vo.Power_DeptVo;

import java.util.List;
import java.util.Map;

public class Power_DeptMapperImpl implements  Power_DeptMapper {
    @Override
    public int deleteByPrimaryKey(Integer dept_id) {
        return this.deleteByPrimaryKey(dept_id);
    }

    @Override
    public int insert(Power_Dept record) {
        return this.insert(record);
    }

    @Override
    public int insertSelective(Power_Dept record) {
        return this.insertSelective(record);
    }

    @Override
    public Power_Dept selectByPrimaryKey(Integer dept_id) {
        return this.selectByPrimaryKey(dept_id);
    }

    @Override
    public int updateByPrimaryKeySelective(Power_Dept record) {
        return this.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(Power_Dept record) {
        return this.updateByPrimaryKey(record);
    }

    @Override
    public List<Power_DeptVo> findSomeByMore(Power_Dept powerDept) {
        return this.findSomeByMore(powerDept);
    }

    @Override
    public int getTotal(Power_Dept powerDept) {
        return this.getTotal(powerDept);
    }

    @Override
    public List<Power_DeptVo> getDeptList() {
        return this.getDeptList();
    }

    @Override
    public List<Power_Dept> checkDeptName(String deptName, Integer dictId) {
        return this.checkDeptName(deptName,dictId);
    }

    @Override
    public List<Power_Dept> selectByPrimaryKeys(Map<String, Object> map) {
        return this.selectByPrimaryKeys(map);
    }

    @Override
    public List<Power_Dept> selectDeptByDeptName(Map<String, Object> map) {
        return this.selectDeptByDeptName(map);
    }

    @Override
    public List<Power_DeptVo> selectDeptByUserId(Integer userId) {
        return this.selectDeptByUserId(userId);
    }

    @Override
    public List<Power_DeptVo> selectDeptByDictId(Integer dictId,String sysFlag) {
        return this.selectDeptByDictId(dictId,sysFlag);
    }

    @Override
    public int SimpleInsert(List<Power_Dept> list) {
        return this.SimpleInsert(list);
    }
}
